@echo off
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
:hl2st_a                                                                            
set HL2ST=                                                                          
cls                                                                                    
echo ͻ
echo                                                                              
echo  HL2ServerTool - steampipe                                                   
echo                                                                              
echo ͹
echo                                                                             
echo   1. Half-Life 2 Deathmatch             e = EXIT                            
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo ͹
echo                                                                              
echo  Choose a number option from above, then press ( ENTER )                     
echo                                                                              
echo ͼ

goto hl2st_b
////////////////////////////////////////////////////////////////////////////////////
:hl2st_b
set /P HL2ST=
if /I "%HL2ST%"=="e" goto exit
if /I "%HL2ST%"=="1" goto hl2dm_a
if errorlevel = 0 cls
echo %HL2ST% is not a valid option, please try again.
pause
goto hl2st_a
////////////////////////////////////////////////////////////////////////////////////
:hl2dm_a
set HL2DM=
cls
echo ͻ
echo                                                                              
echo  HL2DM - Options                                                             
echo                                                                              
echo ͹
echo                                                                             
echo  1. Start with GUI                     b = BACK 1 LEVEL                     
echo  2. Start without GUI                  e = EXIT                             
echo  3. Update server                                                           
echo  4. Make maplist                                                            
echo  5. Make mapcycle                                                           
echo  6. HL2DM AUTO RE-START                                                     
echo     ( w/logging )                                                           
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo                                                                             
echo ͹
echo                                                                              
echo  Choose a number option from above, then press ( ENTER )                     
echo                                                                              
echo ͼ
             
goto hl2dm_b
////////////////////////////////////////////////////////////////////////////////////
:hl2dm_b
set /P HL2DM=
if /I "%HL2DM%"=="b" goto hl2st_a
if /I "%HL2DM%"=="e" goto exit
if /I "%HL2DM%"=="6" goto hl2dm_nogui_loop
if /I "%HL2DM%"=="5" goto hl2dm_mapcycle 
if /I "%HL2DM%"=="4" goto hl2dm_maplist
if /I "%HL2DM%"=="3" goto hl2dm_updater
if /I "%HL2DM%"=="2" goto hl2dm_nogui
if /I "%HL2DM%"=="1" goto hl2dm_gui
if errorlevel = 0 cls
echo %HL2DM% is not a valid option, please try again.
pause
goto hl2dm_a
////////////////////////////////////////////////////////////////////////////////////
:hl2dm_gui
set CH=
cls
echo --------------------------------
echo Enter drive letter
set /P CH=
echo --------------------------------
start %CH%:\HL2Server\SRCDS\hl2dm\srcds.exe -game "hl2mp"
goto hl2dm_a
////////////////////////////////////////////////////////////////////////////////////
:hl2dm_nogui
set CH=
cls
echo --------------------------------
echo Enter drive letter
set /P CH=
echo --------------------------------
start %CH%:\HL2Server\SRCDS\hl2dm\srcds.exe -console -game "hl2mp" -maxplayers 14 +map dm_lockdown
goto hl2dm_a
////////////////////////////////////////////////////////////////////////////////////
:hl2dm_updater
set CH=
cls
echo --------------------------------
echo Enter drive letter
set /P CH=
echo --------------------------------
start %CH%:\HL2Server\_SteamCMD\steamcmd.exe +login anonymous +force_install_dir %CH%:\HL2Server\SRCDS\hl2dm +app_set_config 90 +app_update 232370 +quit
goto hl2dm_a
////////////////////////////////////////////////////////////////////////////////////
:hl2dm_maplist
set CH=
cls
echo --------------------------------
echo Enter drive letter
set /P CH=
echo --------------------------------
echo The following files have been recognized:
dir %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\maps\*.bsp
echo --------------------------------
pause
del %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\maplist.txt
for %%i in (%CH%:\HL2Server\SRCDS\hl2dm\hl2mp\maps\*.bsp) do @echo %%~ni >>%CH%:\HL2Server\SRCDS\hl2dm\hl2mp\maplist.txt
start %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\maplist.txt
goto hl2dm_a
////////////////////////////////////////////////////////////////////////////////////
:hl2dm_mapcycle
set CH=
cls
echo --------------------------------
echo Enter drive letter
set /P CH=
echo --------------------------------
echo The following files have been recognized:
dir %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\maps\*.bsp
echo --------------------------------
pause
del %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\mapcycle.txt
for %%i in (%CH%:\HL2Server\SRCDS\hl2dm\hl2mp\maps\*.bsp) do @echo %%~ni >>%CH%:\HL2Server\SRCDS\hl2dm\hl2mp\mapcycle.txt
start %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\mapcycle.txt
goto hl2dm_a
////////////////////////////////////////////////////////////////////////////////////
:hl2dm_nogui_loop
set CH=
cls
echo HL2DM AUTO RE-START ( w/logging )
echo --------------------------------
echo Enter drive letter
set /P CH=
echo --------------------------------
start %CH%:\HL2Server\HL2ServerTool.cmd
:hl2dm_nogui_restart
echo Updating log...
copy /Y %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\console.log /B %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\console.log.old /B
del /F /Q %CH%:\HL2Server\SRCDS\hl2dm\hl2mp\console.log
echo Starting SRCDS... (%date%;%time%)
start /wait /high %CH%:\HL2Server\SRCDS\hl2dm\srcds.exe -game "hl2mp" -console -maxplayers 14 +map dm_lockdown -nocrashdialog
goto hl2dm_nogui_restart
////////////////////////////////////////////////////////////////////////////////////
goto exit
:exit
@echo on



